[RESOLVIDO] Instalação do jdk 11.0.2 e ou jdk 12

editado abril 2019 em SilverBlue

Não estou conseguindo instalar o jdk 11.0.2 o kit developer.
executo o comando para instalar
rpm-ostree install jre-8u201-linux-i586.rpm

aparece o erro (Este erro é do Java é o mesmo que o jdk)

error: Could not depsolve transaction; 1 problem detected:
Problem: conflicting requests
- nothing provides /bin/basename needed by jre1.8-1.8.0_201-fcs.i586
- nothing provides /bin/cp needed by jre1.8-1.8.0_201-fcs.i586
- nothing provides /bin/ls needed by jre1.8-1.8.0_201-fcs.i586
- nothing provides /bin/mkdir needed by jre1.8-1.8.0_201-fcs.i586
- nothing provides /bin/mv needed by jre1.8-1.8.0_201-fcs.i586
- nothing provides /bin/pwd needed by jre1.8-1.8.0_201-fcs.i586
- nothing provides /bin/sort needed by jre1.8-1.8.0_201-fcs.i586

Comentários

  • Digite seu comentário> @Betânia disse:

    Não estou conseguindo instalar o jdk 11.0.2 o kit developer.
    executo o comando para instalar
    rpm-ostree install jre-8u201-linux-i586.rpm

    aparece o erro (Este erro é do Java é o mesmo que o jdk)

    error: Could not depsolve transaction; 1 problem detected:
    Problem: conflicting requests
    - nothing provides /bin/basename needed by jre1.8-1.8.0_201-fcs.i586
    - nothing provides /bin/cp needed by jre1.8-1.8.0_201-fcs.i586
    - nothing provides /bin/ls needed by jre1.8-1.8.0_201-fcs.i586
    - nothing provides /bin/mkdir needed by jre1.8-1.8.0_201-fcs.i586
    - nothing provides /bin/mv needed by jre1.8-1.8.0_201-fcs.i586
    - nothing provides /bin/pwd needed by jre1.8-1.8.0_201-fcs.i586
    - nothing provides /bin/sort needed by jre1.8-1.8.0_201-fcs.i586

    @Betânia Poderia das mais informações sobre a versão do sistema que esta utilizando? Também nos informar, qual o comando que esta utilizando para a instalação? Copie e cole aqui essas informações.

  • LSB Version: :core-4.1-amd64:core-4.1-noarch
    Distributor ID: Fedora
    Description: Fedora release 29 (Twenty Nine)
    Release: 29
    Codename: TwentyNine

    Comando de instalação: tentei

    sudo rpm-ostree install jdk-11.0.2_linux-x64_bin.rpm (já baixado na pasta downloads)

    usuário root tbm.

    sudo rpm-ostree install jdk-11.0.2

    sudo rpm-ostree install jdk

    Grata!

  • RESOLVIDO!

    KnDlinux, obrigada

Entre ou Registre-se para fazer um comentário.